/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Alerts
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Alerts {
  @SerializedName("world_health_organization_bulletins")
  private WhoBulletins worldHealthOrganizationBulletins = null;

  @SerializedName("axa_health_alerts")
  private AxaHealthAlerts axaHealthAlerts = null;

  @SerializedName("axa_security_alerts")
  private AxaSecurityAlerts axaSecurityAlerts = null;

  public Alerts worldHealthOrganizationBulletins(WhoBulletins worldHealthOrganizationBulletins) {
    this.worldHealthOrganizationBulletins = worldHealthOrganizationBulletins;
    return this;
  }

   /**
   * Get worldHealthOrganizationBulletins
   * @return worldHealthOrganizationBulletins
  **/
  @ApiModelProperty(required = true, value = "")
  public WhoBulletins getWorldHealthOrganizationBulletins() {
    return worldHealthOrganizationBulletins;
  }

  public void setWorldHealthOrganizationBulletins(WhoBulletins worldHealthOrganizationBulletins) {
    this.worldHealthOrganizationBulletins = worldHealthOrganizationBulletins;
  }

  public Alerts axaHealthAlerts(AxaHealthAlerts axaHealthAlerts) {
    this.axaHealthAlerts = axaHealthAlerts;
    return this;
  }

   /**
   * Get axaHealthAlerts
   * @return axaHealthAlerts
  **/
  @ApiModelProperty(required = true, value = "")
  public AxaHealthAlerts getAxaHealthAlerts() {
    return axaHealthAlerts;
  }

  public void setAxaHealthAlerts(AxaHealthAlerts axaHealthAlerts) {
    this.axaHealthAlerts = axaHealthAlerts;
  }

  public Alerts axaSecurityAlerts(AxaSecurityAlerts axaSecurityAlerts) {
    this.axaSecurityAlerts = axaSecurityAlerts;
    return this;
  }

   /**
   * Get axaSecurityAlerts
   * @return axaSecurityAlerts
  **/
  @ApiModelProperty(required = true, value = "")
  public AxaSecurityAlerts getAxaSecurityAlerts() {
    return axaSecurityAlerts;
  }

  public void setAxaSecurityAlerts(AxaSecurityAlerts axaSecurityAlerts) {
    this.axaSecurityAlerts = axaSecurityAlerts;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Alerts alerts = (Alerts) o;
    return Objects.equals(this.worldHealthOrganizationBulletins, alerts.worldHealthOrganizationBulletins) &&
        Objects.equals(this.axaHealthAlerts, alerts.axaHealthAlerts) &&
        Objects.equals(this.axaSecurityAlerts, alerts.axaSecurityAlerts);
  }

  @Override
  public int hashCode() {
    return Objects.hash(worldHealthOrganizationBulletins, axaHealthAlerts, axaSecurityAlerts);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Alerts {\n");
    
    sb.append("    worldHealthOrganizationBulletins: ").append(toIndentedString(worldHealthOrganizationBulletins)).append("\n");
    sb.append("    axaHealthAlerts: ").append(toIndentedString(axaHealthAlerts)).append("\n");
    sb.append("    axaSecurityAlerts: ").append(toIndentedString(axaSecurityAlerts)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

